Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356592 - Review Request: shibboleth-java-parent-v3 - Shibboleth Project V3 Super POM
Summary: Review Request: shibboleth-java-parent-v3 - Shibboleth Project V3 Super POM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1356594 1356597
TreeView+ depends on / blocked
 
Reported: 2016-07-14 12:34 UTC by gil cattaneo
Modified: 2016-07-24 20:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-24 20:20:52 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-07-14 12:34:55 UTC
Spec URL: https://gil.fedorapeople.org/shibboleth-java-parent-v3.spec
SRPM URL: https://gil.fedorapeople.org/shibboleth-java-parent-v3-8-1.fc23.src.rpm
Description: A POM containing properties, profiles, plugin configurations,
etc. that are common across all Shibboleth V3 projects.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14892623

Comment 1 Raphael Groner 2016-07-15 06:52:13 UTC
I can review this. Can you take bug #1356739 in swap?

Comment 2 Raphael Groner 2016-07-15 06:55:35 UTC
Or maybe bug #1279093 for review swap.

Comment 3 gil cattaneo 2016-07-15 08:51:08 UTC
(In reply to Raphael Groner from comment #1)
> I can review this. Can you take bug #1356739 in swap?
not available spec file ans src rpm
(In reply to Raphael Groner from comment #2)
> Or maybe bug #1279093 for review swap.
I got it

Comment 4 Raphael Groner 2016-07-15 18:35:35 UTC
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
=> Not available. Ignore.
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present. Note: Javadocs are optional for
  Fedora versions >= 21
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 12 files have unknown license. Detailed
     output of licensecheck in /home/builder/fedora-review/1356592
     -shibboleth-java-parent-v3/licensecheck.txt
=> OK: LICENSE file says ASL 2.0. 

[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[?]: Latest version is packaged.
=> Can not validate version 8, where do you get it from?

[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
=> OK: git clone, git archive.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: shibboleth-java-parent-v3-8-1.fc25.noarch.rpm
          shibboleth-java-parent-v3-8-1.fc25.src.rpm
shibboleth-java-parent-v3.src: W: invalid-url Source0: shibboleth-java-parent-v3-8.tar.xz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
shibboleth-java-parent-v3 (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
    mvn(org.apache.maven.plugins:maven-jar-plugin)
    mvn(org.apache.maven.plugins:maven-surefire-plugin)
    mvn(org.slf4j:slf4j-api)



Provides
--------
shibboleth-java-parent-v3:
    mvn(net.shibboleth:parent-v3:pom:)
    shibboleth-java-parent-v3



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1356592
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 gil cattaneo 2016-07-15 18:42:21 UTC
Thanks for the review!

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/6444
https://admin.fedoraproject.org/pkgdb/package/requests/6445

Comment 6 gil cattaneo 2016-07-15 18:45:58 UTC
(In reply to Raphael Groner from comment #4)
> [?]: Latest version is packaged.
> => Can not validate version 8, where do you get it from?
https://git.shibboleth.net/view/?p=java-parent-project-v3.git;a=summary
for now use this release until wildfly do not upgrade its deps

Comment 7 Gwyn Ciesla 2016-07-15 18:49:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/shibboleth-java-parent-v3

Comment 8 gil cattaneo 2016-07-15 18:53:32 UTC
thanks!

Comment 9 Fedora Update System 2016-07-15 19:44:26 UTC
shibboleth-java-parent-v3-8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f9fda5b2f

Comment 10 Fedora Update System 2016-07-16 22:57:20 UTC
shibboleth-java-parent-v3-8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f9fda5b2f

Comment 11 Fedora Update System 2016-07-24 20:20:50 UTC
shibboleth-java-parent-v3-8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.